RIGMEM(1)

NAME
rigmem - backup and restore memory of radio transceivers and receivers

SYNOPSIS
rigmem [OPTION]... [COMMAND]...

DESCRIPTION
Backup and restore memory of radio transceivers and receivers. rigmem accepts commands from the command line only.

Keep in mind that Hamlib is BETA level software. While a lot of backend libraries lack complete rig support, the basic functions are usually well supported. The API may change without publicized notice, while an advancement of the minor version (e.g. 1.1.x to 1.2.x) indicates such a change.

Please report bugs and provide feedback at the e-mail address given in the REPORTING BUGS section. Patches and code enhancements are also welcome.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

Here is a summary of the supported options:

-m, --model=id
    Select radio model number. See model list (use 'rigctl -l').
    NB: rigmem (or third party software) will use rig model 1901 when using rpc.rigd.

-r, --rig-file=device
    Use device as the file name of the port the radio is connected. Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximum serial speed from rig backend capabilities as the default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only useful for Icom rigs.
    NB: the id is in decimal notation, unless prefixed by 0x, in which case it is hexadecimal.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter. e.g. stop_bits=2
    Use -L option of rigctl for a list.

-x, --xml
    Use XML format instead of CSV, if libxml2 is available.

-v, --verbose
    Set verbose mode, cumulative (see DIAGNOSTICS below).

-h, --help
    Show a summary of these options and exit.

-V, --version
    Show version of rigmem and exit.

NOTE! Some options may not be implemented by a given backend and will return an error. This is most likely to occur with the --set-conf option.

COMMANDS
Backup and restore are supported for basic CSV file and XML format where available.

Please note that the backend for the radio to be controlled, or the radio itself may not support some commands. In that case, the operation will fail with a Hamlib error message.

Here is a summary of the supported commands:

save
    Save all the content of memory in a CSV (or XML) file given as an argument to the command.

load
    Load the content into all the memory from a CSV (or XML) file given as an argument to the command.

save_parm
    Save all the parameters of the radio in a CSV (or XML) file given as an argument to the command.

load_parm
    Load the parameters of the radio from a CSV (or XML) file given as an argument to the command.

clear
    This is a very DANGEROUS command, as it will completely clear out everything you have programmed in the memory of your radio. ALL DATA WILL BE LOST. Use at your own risk!

DIAGNOSTICS
The -v, --version option allows different levels of diagnostics to be output to stderr and correspond to -v for BUG, -vv for ERR, -vvv for WARN, -vvvv for VERBOSE, or -vvvvv for TRACE.

A given verbose level is useful for providing needed debugging information to the email address below. For example, TRACE output shows all of the values sent to and received from the radio which is very useful for radio backend library development and may be requested by the developers.

EXIT STATUS
rigmem exits with:
0 if all operations completed normally;
1 if there was an invalid command line option or argument;
2 if an error was returned by Hamlib.
3 the Hamlib backend has no memory support implemented and/or
  the rig has no memory access available.

BUGS
This empty section...

REPORTING BUGS
Report bugs to <hamlib-developer@lists.sourceforge.net>.
We are already aware of the bug in the previous section :-)

AUTHOR
Written by Stephane Fillod and the Hamlib Group
<http://www.hamlib.org>.

COPYRIGHT
Copyright © 2000-2009 Stephane Fillod and the Hamlib Group.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rigctl(1), hamlib(3)